import ora from 'ora';

const spinner = ora();
let startFlag = false;

const installSpinner = (buffer) => {
  const text = buffer.toString();
  if (text[0] !== '[' && text[text.length - 1] !== '.') return;
  if (startFlag === false) {
    spinner.start(text);
    startFlag = true;
  } else {
    spinner.succeed();
    spinner.start(text);
  }
};

const finishSpinner = () => {
  spinner.succeed();
};

export { installSpinner, finishSpinner };
