import chalk from 'chalk';
import figlet from 'figlet';

const { log } = console;

export const successLog = (projectName) => {
  // log('\n');
  log(figlet.textSync('TORDER VUE CLI'));
  log(`🎉 ${chalk.green('Successfully')} created project ${chalk.yellow(projectName)}`);
};

export const projectNameEmptyLog = () => {
  log(`❗ ${chalk.red('Project name is empty')}\n${chalk.yellow('Usage: t-vue <project-name>')}`);
};

export const clear = () => {
  console.clear();
};
